Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2003-1247

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2003-1247
Last Modified 05 Sep 2008 04:36:26
Published 31 Dec 2003 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2003-1247

Summary

Multiple buffer overflows in H-Sphere WebShell 2.3 allow remote attackers to execute arbitrary code via (1) a long URL content type in CGI::readFile, (2) a long path in diskusage, and (3) a long fname in flist.

Vulnerable Systems

Application

  • Positive Software H-sphere 2.3 Rc3


References

BID - 6540

BID - 6538

BID - 6537

BUGTRAQ - 20030106 Remote root vuln in HSphere WebShell

XF - hsphere-webshell-flist-bo(11003)

XF - hsphere-webshell-diskusage-bo(11002)

XF - hsphere-webshell-readfile-bo(10999)

MISC - http://psoft.net/misc/webshell_patch.html

SECTRACK - 1005893

BID - 6527

SECUNIA - 7832


Last Updated: 27 May 2016 10:38:17